package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum TemplateTypeEnum implements BaseEnum<String, TemplateTypeEnum> {
    GOODS("GOODS","商品导入模板"),
    ROUTE_ORDER("ROUTE_ORDER","财务管理导入模板"),
    FINANCIAL_EXPENDITURE("FINANCIAL_EXPENDITURE","财务支出导入模板");

    private String code;

    private String msg;

    TemplateTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }}
